Retrieve experiment

Retrieve a specific experiment by ID using the V2 API. ## Authentication - API key: `Authorization: Bearer ` ## Path Parameters - `experiment_id` *string* **required**: The ID of the experiment to retrieve. ## Examples ```python Python experiment_id = "experiment_id_123" url = f"https://api.respan.ai/api/v2/experiments/{experiment_id}" headers = { "Authorization": "Bearer YOUR_API_KEY" } response = requests.get(url, headers=headers) print(response.json()) ``` ```bash cURL curl -X GET "https://api.respan.ai/api/v2/experiments/{experiment_id}" \ -H "Authorization: Bearer YOUR_API_KEY" ``` ## Response ```json 200 OK { "id": "experiment_id_123", "name": "My Experiment V2", "dataset_id": "dataset_id_123", "workflows": [], "evaluator_slugs": [] } ```

Authentication

AuthorizationBearer
API key authentication. Get your API key from https://platform.respan.ai/platform/api-keys

Path parameters

experiment_idstringRequired
The ID of the experiment to retrieve.

Response

Successful response for Retrieve experiment

Errors

401
Unauthorized Error